#pragma once
#include "DrawableBase.h"
#include "Logger.h"
#include "Structs.h"
#include "Surface.h"

class Rectangle : public DrawableBase<class Rectangle>
{
public:
	Rectangle(Graphics& gfx, StructVertexWithColor vertices[], Logger& logger);
	void Update(float dt) noexcept override;
	DirectX::XMMATRIX GetTransformXM(Graphics& gfx) const noexcept override;
private:
	float dx = 0.0f;
	float dy = 0.0f;
	float dz = 0.0f;
};